Presigned Exit Request
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
networkstring · enumRequiredDefault:
The Ethereum network.
mainnetPossible values: Body
payloadstringRequiredExample:
A JSON-encoded string containing the presigned exit request payload. Must include:
type: must be"presigned_exit_request"timestamp: ISO8601 UTC timestampvalidators: array of validator public keys, all must share the same withdrawal address
{"type":"presigned_exit_request","timestamp":"2025-04-08T20:28:39.678Z","validators":[{"public_key":"0xb31cb9c715b7a8a16ca7764f35b45883fce75699f25f90c44cae4e6a386d9f2c0dfd16303e1864cfbc0ae4dc194e872e"}]}signaturestringRequiredExample:
ERC-191 signature of the payload string, signed by the withdrawal address of the specified validators.
0x7b2274797065223a227072657369676e65645f657869745f72657175657374222c2274696d657374616d70223a22323032352d30342d30385432303a32383a33392e3637385a222c2276616c696461746f7273223a5b7b227075626c69635f6b6579223a223078623331636239633731356237613861313663613737363466333562343538383366636537353639396632356639306334346361653465366133383664396632633064666431363330336531383634636662633061653464633139346538373265227d5d7dResponses
200
OK
application/json
A list of pre-signed voluntary exit messages that can be submitted to a beacon node to initiate validator exits.
validator_keystringOptional
Public key of the validator
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
post/v1/api/ethereum/{network}/presigned_exit_request
POST /v1/api/ethereum/{network}/presigned_exit_request HTTP/1.1
Host: ethereum-staking.sprd.validationcloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 654
{
"payload": "{\"type\":\"presigned_exit_request\",\"timestamp\":\"2025-04-08T20:28:39.678Z\",\"validators\":[{\"public_key\":\"0xb31cb9c715b7a8a16ca7764f35b45883fce75699f25f90c44cae4e6a386d9f2c0dfd16303e1864cfbc0ae4dc194e872e\"}]}",
"signature": "0x7b2274797065223a227072657369676e65645f657869745f72657175657374222c2274696d657374616d70223a22323032352d30342d30385432303a32383a33392e3637385a222c2276616c696461746f7273223a5b7b227075626c69635f6b6579223a223078623331636239633731356237613861313663613737363466333562343538383366636537353639396632356639306334346361653465366133383664396632633064666431363330336531383634636662633061653464633139346538373265227d5d7d"
}[
{
"validator_key": "0xb31cb9c715b7a8a16ca7764f35b45883fce75699f25f90c44cae4e6a386d9f2c0dfd16303e1864cfbc0ae4dc194e872e",
"exit_request": {
"message": {
"epoch": "5040",
"validator_index": "1091615"
},
"signature": "0xb77505b425ff7486d5a4a08ab6bf85a9ac8d778b8609421683d36e7a3d10b3243b7b4d22490ff5620ea9d46ff4e4c13308ac689368852af4872e1cdb837ad2d2d170a407c22fa1981ec543e8b05b3cc7836b7f9d300d7796412023ff6b13f3aa"
}
}
]Last updated